package ece.lecture;

import java.util.List;

import javax.smartcardio.CardTerminal;
import javax.smartcardio.TerminalFactory;

import org.nfctools.NfcAdapter;
import org.nfctools.scio.TerminalHandler;
import org.nfctools.scio.TerminalMode;
import org.nfctools.spi.acs.AcsTerminal;

public class Ece_lecture {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

	        
	        try{
	            TerminalHandler handler = new TerminalHandler();
	            
	            AcsTerminal terminal = new AcsTerminal();
	            
	       // Ajouter le lecteur acs au handler
	            handler.addTerminal(terminal);

	            NfcAdapter adapter = new NfcAdapter(handler.getAvailableTerminal("ACS ACR1281 1S Dual Reader 00 01"), TerminalMode.INITIATOR);
	      // Créer un Mifare listener 
	            Lecture_listener lecture = new Lecture_listener();
	      // Créer la key de lecture
	            byte[] key = { (byte)0XFF, (byte)0XFF, (byte)0XFF, (byte)0XFF, (byte)0XFF, (byte)0XFF };
	      //Ajouter la clef
	            lecture.addKnownKey(key);
	      // Enregistrer le listener
	            adapter.registerTagListener(lecture);
	      // Démarrer l'écoute
	            adapter.startListening();
	            System.in.read();
	      // Arrêter l'écoute
	            adapter.stopListening();
	            
	        	}
	        catch(Exception e)
	        {
	        	System.out.println(e);
	        }
	        
	}

}
